/*  Pacific Northwest BuzzSaw Fish by Loyd L Towe - CIS 70614,1721   */
/*  (there ain't no such thing, I just made it up)                   */

#include "colors.inc"
#include "textures.inc"
#include "shapes.inc"
#include "bubble.inc"
#include "seaspace.inc"

camera {
 location  <-6 1 -6 >
 direction < 0 0 1    >
 up        < 0 1 0    >
 right     < 1.33 0 0 >
 look_at   < 0 0 0    >
}

#declare FINTEX = texture {
color red 0.35 green 0.35 blue .50 alpha 0.3
ambient 0.3
diffuse 0.4
phong .5
phong_size 100 }


#declare FISHTEX = texture { 
leopard
ambient 0.3 
diffuse 0.1 
specular 0.25
roughness 0.001
color_map { [ 0.0 0.5  color red 0.5 green 0.4 blue 0.6 
                       color red 0.3 green 0.6 blue 0.8 ]
            [ 0.5 1.01 color red 0.3 green 0.6 blue 0.8
                       color red 1.0 green 0.0 blue 0.0 ] }
scale <.1 .1 .1>
}

object { light_source { <-30 -25 0> color White } }
object { light_source { <-30 25 0> color White } }
object { light_source { <-30 0 0> color White } }

object { 
  sphere { <0 0 0> 1 inverse } 
    texture { SEASPACE } 
scale <1000 1000 1000>
}

// ELLIPSOID
object {
    quadric {
       <1 1 1>
       <0 0 0>
       <0 0 0>
        -1.0
    scale <0.25 1.5 3>
   }
   texture { FISHTEX }
   bounded_by { quadric {
       <1 1 1>
       <0 0 0>
       <0 0 0>
        -1.0
   scale <0.25 1.5 3>
  }
 }
}

// SPHERE
object {
 sphere {<0.2 0.6 -2.35> 0.25}
 texture {  FISHTEX }
bounded_by { sphere {<0.2 0.6 -2.35> 0.25} }    
}

// SPHERE
object {
 sphere {<-0.2 0.6 -2.35> 0.25}
 texture {  FISHTEX }
bounded_by { sphere {<-0.2 0.6 -2.35> 0.25} }           
}

// SPHERE
object {
 sphere {<0.23 0.6 -2.35> 0.23}
 texture { color Black phong 1.0 phong_size 200 }
bounded_by { sphere {<0.23 0.6 -2.35> 0.23} }
}

// SPHERE
object {
 sphere {<-0.23 0.6 -2.35> 0.23}
 texture { color Black phong 1.0 phong_size 200 }
bounded_by { sphere {<-0.23 0.6 -2.35> 0.23 } }
}

object {
difference {
intersection { Disk_X scale <.01 3.5 3.5> translate <0 0 6.5> }
intersection { Disk_X scale <3.5 3.5 3.5> translate <0 0 7.5> }
}
texture {  FINTEX }
}

object { triangle { <0 0 0> <0 -1.3 3.4> <0 1.3 3.4> }
texture { FISHTEX }
}

object {
difference {
intersection { Disk_X scale <.01 4 4> rotate <0 0 90 > translate <0 0 3> }
intersection { Disk_X scale <4 4 4> rotate <0 0 90> translate <0 0 4> }
}
texture {  FINTEX }
no_shadow
}


#declare FIN =
composite { #include "fin.inc" }

composite { FIN scale <2 2 2> rotate <0 90 0> translate <0 .5 0> }
composite { FIN scale <2 2 2> rotate <0 90 0> translate <0 -.2 0> }

#include "fishlips.inc"


object { BUBBLE  translate <11 -10 1> }
object { BUBBLE  translate <11 -8 1> }
object { BUBBLE  translate <11 -6 1> }
object { BUBBLE  translate <11 -4 1> }
object { BUBBLE  translate <11 -2 1> }
object { BUBBLE  translate <11  0 1> }
object { BUBBLE  translate <11  2 1> }
object { BUBBLE  translate <11  4 1> }
object { BUBBLE  translate <11  6 1> }

object { BUBBLE  translate <4 -16 19> }
object { BUBBLE  translate <4 -14 19> }
object { BUBBLE  translate <4 -12 19> }
object { BUBBLE  translate <4 -10 19> }
object { BUBBLE  translate <4 -8 19> }
object { BUBBLE  translate <4 -6 19> }
object { BUBBLE  translate <4 -4 19> }
object { BUBBLE  translate <4 -2 19> }
object { BUBBLE  translate <4  0 19> }
object { BUBBLE  translate <4  2 19> }
object { BUBBLE  translate <4  4 19> }
object { BUBBLE  translate <4  6 19> }
object { BUBBLE  translate <4  8 19> }
object { BUBBLE  translate <4 10 19> }


object { BUBBLE  translate <14 -20 19> }
object { BUBBLE  translate <14 -18 19> }
object { BUBBLE  translate <14 -16 19> }
object { BUBBLE  translate <14 -14 19> }
object { BUBBLE  translate <14 -12 19> }
object { BUBBLE  translate <14 -10 19> }
object { BUBBLE  translate <14 -8 19> }
object { BUBBLE  translate <14 -6 19> }
object { BUBBLE  translate <14 -4 19> }
object { BUBBLE  translate <14 -2 19> }
object { BUBBLE  translate <14  0 19> }
object { BUBBLE  translate <14  2 19> }
object { BUBBLE  translate <14  4 19> }
object { BUBBLE  translate <14  6 19> }
object { BUBBLE  translate <14  8 19> }
object { BUBBLE  translate <14 10 19> }
object { BUBBLE  translate <14 12 19> }
object { BUBBLE  translate <14 14 19> }


